import os
import json
import random
from PIL import Image

def generate_large_sid():
    return random.randint(100000000000000, 999999999999999)

def generate_small_sid():
    return random.randint(1000000, 9999999)

def create_json_for_image(image_path):
    with Image.open(image_path) as img:
        width, height = img.size

    image_name = os.path.splitext(os.path.basename(image_path))[0]
    json_data = {
        "name": image_name,
        "plugin-id": "Sprite",
        "sid": generate_large_sid(),
        "isGlobal": False,
        "instanceVariables": [],
        "behaviorTypes": [],
        "effectTypes": [],
        "animations": {
            "items": [
                {
                    "frames": [
                        {
                            "width": width,
                            "height": height,
                            "originX": 0.5,  # Adjust as needed
                            "originY": 0.5,  # Adjust as needed
                            "originalSource": "",
                            "exportFormat": "lossless",
                            "exportQuality": 0.8,
                            "imageSpriteId": generate_small_sid(),
                            "useCollisionPoly": True,
                            "duration": 1,
                            "tag": ""
                        }
                    ],
                    "sid": generate_large_sid(),
                    "name": "Default",
                    "isLooping": False,
                    "isPingPong": False,
                    "repeatCount": 1,
                    "repeatTo": 0,
                    "speed": 5
                }
            ],
            "subfolders": []
        }
    }

    json_file_path = os.path.join(os.path.dirname(image_path), f"{image_name}.json")
    with open(json_file_path, 'w') as json_file:
        json.dump(json_data, json_file, indent=4)

# Set your images directory here
images_directory = '.'

for image_file in os.listdir(images_directory):
    if image_file.lower().endswith(('.png', '.jpg', '.jpeg', '.gif')):
        image_path = os.path.join(images_directory, image_file)
        create_json_for_image(image_path)

print("JSON files generated successfully.")

